/*
 * Utils.java
 */
 
package de.ba_ravensburg.gdv.view;

import java.awt.GridBagConstraints;
import java.awt.Insets;

/**
 * @author Max Schloss
 */
public class Utils {

  public static GridBagConstraints makeGBC(int gridx, int gridy,
                                           int gridwidth, int gridheight,
                                           double weightx, double weighty,
                                           int topInset, int leftInset,
                                           int bottomInset, int rightInset, 
                                           int anchor, int fill) {
    GridBagConstraints gbc = new GridBagConstraints();
    gbc.gridx = gridx;
    gbc.gridy = gridy;
    gbc.gridwidth = gridwidth;
    gbc.gridheight = gridheight;
    gbc.weightx = weightx;
    gbc.weighty = weighty;
    gbc.insets = new Insets(topInset, leftInset, bottomInset, rightInset);
    gbc.anchor = anchor;
    gbc.fill = fill;
  
    return gbc;
  }

  public static GridBagConstraints makeGBC(int gridx, int gridy,
                                           int gridwidth, int gridheight,
                                           double weightx, double weighty,
                                           int anchor, int fill) {
    GridBagConstraints gbc = new GridBagConstraints();
    gbc.gridx = gridx;
    gbc.gridy = gridy;
    gbc.gridwidth = gridwidth;
    gbc.gridheight = gridheight;
    gbc.weightx = weightx;
    gbc.weighty = weighty;
    gbc.anchor = anchor;
    gbc.fill = fill;
    
    return gbc;
  }

}
